{*******************************************************}
{                                                       }
{  VG Library II                                        }
{                                                       }
{  Demo Application                                     }
{                                                       }
{  (c) 1997, 2000 by Vladimir Gaitanoff                 }
{                                                       }
{*******************************************************}

{$I vg2.inc}

unit fmTools;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  fmChild, vg2PropStore, StdCtrls, ComCtrls, vg2ExtCtrls, Buttons,
  vg2StdCtrls, vg2FileCtrls, vg2Money, vg2MultiLang;

type
  TToolsForm = class(TChildForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    cmTvg2AppIniFile: TSpeedButton;
    cmTvg2PropStorage: TSpeedButton;
    TabSheet3: TTabSheet;
    TabSheet4: TTabSheet;
    GroupBox2: TGroupBox;
    Label3: TLabel;
    cmTvg2TrayIcon: TSpeedButton;
    Label4: TLabel;
    cmTvg2FolderMonitor: TSpeedButton;
    GroupBox3: TGroupBox;
    Label5: TLabel;
    cmTvg2MoneyString: TSpeedButton;
    GroupBox4: TGroupBox;
    Label6: TLabel;
    cmTvg2MultiLanguage: TSpeedButton;
    edFolder: Tvg2FolderEdit;
    Label7: TLabel;
    fmFolder: Tvg2FolderMonitor;
    Label8: TLabel;
    Label9: TLabel;
    edValue: TEdit;
    edVerbal: TEdit;
    ms: Tvg2MoneyString;
    FruitsLabel: TLabel;
    LanguageLabel: TLabel;
    FruitList: TListBox;
    LanguageCombo: TComboBox;
    MessageBtn: TButton;
    tl: Tvg2MultiLanguage;
    Label10: TLabel;
    TabSheet5: TTabSheet;
    Label11: TLabel;
    GroupBox5: TGroupBox;
    cmTvg2ThreadTimer: TSpeedButton;
    Label2: TLabel;
    cmTvg2Thread: TSpeedButton;
    Label12: TLabel;
    procedure fmFolderChange(Sender: TObject);
    procedure edFolderAfterDialog(Sender: TObject; var FileName: TFileName;
      var Allow: Boolean);
    procedure edValueChange(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure LanguageComboChange(Sender: TObject);
    procedure MessageBtnClick(Sender: TObject);
  private
    { Private declarations }
    function GetLangFileName(const sLangName : String) : String;
  public
    { Public declarations }
  end;

implementation

{$R *.DFM}

procedure TToolsForm.fmFolderChange(Sender: TObject);
begin
  inherited;
  MessageDlg('Tvg2FolderMonitor.OnChange', mtInformation, [mbOk], 0);
end;

procedure TToolsForm.edFolderAfterDialog(Sender: TObject;
  var FileName: TFileName; var Allow: Boolean);
begin
  inherited;
  fmFolder.FolderName := FileName;
  fmFolder.Active := True;
end;

procedure TToolsForm.edValueChange(Sender: TObject);
begin
  try
    edVerbal.Text := ms.MoneyToString(StrToFloat(edValue.Text));
  except
    edVerbal.Text := Exception(ExceptObject).Message;
  end;
end;

procedure TToolsForm.FormShow(Sender: TObject);
begin
  inherited;
  edValueChange(nil);
  LanguageCombo.ItemIndex := 0;
  LanguageComboChange(Sender);
end;

function TToolsForm.GetLangFileName(const sLangName : String) : String;
var
  sDir : String;
begin
  sDir := ExtractFilePath(Application.ExeName);
  if (sDir[Length(sDir)] <> '\') then sDir := sDir + '\';
  Result := sDir + sLangName + '.lng';
end;

procedure TToolsForm.LanguageComboChange(Sender: TObject);
begin
  tl.FileName := GetLangFileName(LanguageCombo.Text);
  tl.Translate;
end;

procedure TToolsForm.MessageBtnClick(Sender: TObject);
var
  sMessage : String;
begin
  if (FruitList.ItemIndex > -1) then
    sMessage := tl.TMsg('Selected fruit is') + ' ' +
                FruitList.Items[FruitList.ItemIndex]
  else
    sMessage := tl.TMsg('No one fruit is selected');

  MessageDlg(sMessage, mtInformation, [mbOK, mbHelp], 0);
end;

end.
